# PHTML::InputText Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputText:

List of all members.

## Public Member Functions

| InputText (const char *fname, int size, const char *init=NULL, const char *attr=NULL)
| InputText (const char *fname, int size, DisableCodes disabled, const char *attr=NULL)
| InputText (const char *fname, int size, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
| InputText (const char *fname, int size, const char *init, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputText ()

## Protected Member Functions

| InputText (const char *type, const char *fname, int size, const char *init, int maxLength, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | const char * | init = `NULL`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputText::InputText | ( | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::InputText::~InputText | ( |  | ) | `[inline, virtual]`

PHTML::InputText::InputText | ( | const char * | type,
|  | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled,
|  | const char * | attr |
| ) |  |  | `[protected]`

## Member Function Documentation

virtual void PHTML::InputText::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::InputField.

The documentation for this class was generated from the following file:

- html.h